Bug 1258955 - (icewind/streams) Review Request: php-icewind-streams - A set of generic stream wrappers
Review Request: php-icewind-streams - A set of generic stream wrappers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: icewind/smb
  Show dependency treegraph
 
Reported: 2015-09-01 11:18 EDT by Remi Collet
Modified: 2015-09-25 15:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.2.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-17 21:31:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo-full.log (6.42 KB, text/plain)
2015-09-04 11:56 EDT, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (4.39 KB, text/plain)
2015-09-04 11:57 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (7.07 KB, text/plain)
2015-09-04 11:57 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-09-01 11:18:30 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/e27fcec1884c5fdcdfc20a76d254edc1b81c857b/php/php-icewind-streams/php-icewind-streams.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-icewind-streams-0.2.0-1.remi.src.rpm
Description: 
Generic stream wrappers for php.

To use this library, you just have to add, in your project:
  require-once '/usr/share/php/Icewind/Streams/autoload.php';

Fedora Account System Username: remi
Comment 1 Shawn Iwinski 2015-09-04 11:56:50 EDT
Created attachment 1070346 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST
Comment 2 Shawn Iwinski 2015-09-04 11:57:18 EDT
Created attachment 1070347 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST
Comment 3 Shawn Iwinski 2015-09-04 11:57:49 EDT
Created attachment 1070348 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1258955
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Shawn Iwinski 2015-09-04 11:59:05 EDT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



[x]: Requires correct, justified where necessary.

     NOTE: If EPEL 6 is in the target dists, build require "php-composer(phpunit/phpunit)"
     should be replaced should be changed to "%{_bindir}/phpunit" or
     "php-phpunit-PHPUnit"



No blockers.

===== APPROVED =====
Comment 5 Remi Collet 2015-09-04 12:14:41 EDT
> [x]: Requires correct, justified where necessary.
> 
>      NOTE: If EPEL 6 is in the target dists, build require
> "php-composer(phpunit/phpunit)"
>      should be replaced should be changed to "%{_bindir}/phpunit" or
>      "php-phpunit-PHPUnit"

Mostly for owncloud, and some requires php > 5.4, so I don't plan to import in EPEL-6.
Comment 6 Remi Collet 2015-09-04 12:15:58 EDT
Thanks!


New Package SCM Request
=======================
Package Name: php-icewind-streams
Short Description: A set of generic stream wrappers
Upstream URL: https://github.com/icewind1991/Streams
Owners: remi
Branches: f22 f23 epel7
InitialCC:
Comment 7 Gwyn Ciesla 2015-09-04 16:56:34 EDT
Git done (by process-git-requests).
Comment 8 Remi Collet 2015-09-05 02:16:18 EDT
php-icewind-streams-0.2.0-1.fc24 tagged into f24
Comment 9 Fedora Update System 2015-09-05 02:29:55 EDT
php-icewind-streams-0.2.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7942
Comment 10 Fedora Update System 2015-09-06 13:51:54 EDT
php-icewind-streams-0.2.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-icewind-streams'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7942
Comment 11 Fedora Update System 2015-09-06 14:51:53 EDT
php-icewind-streams-0.2.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-icewind-streams'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15140
Comment 12 Fedora Update System 2015-09-06 17:57:04 EDT
php-icewind-streams-0.2.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-icewind-streams'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15139
Comment 13 Fedora Update System 2015-09-17 21:31:52 EDT
php-icewind-streams-0.2.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-09-18 14:33:41 EDT
php-icewind-streams-0.2.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-09-25 15:54:47 EDT
php-icewind-streams-0.2.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.